Bug 14363 - error in package libpcap (not found in component list)
Summary: error in package libpcap (not found in component list)
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcpdump
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-21 12:30 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2000-07-21 13:14:27 UTC


Attachments (Terms of Use)

Description Need Real Name 2000-07-21 12:30:34 UTC
1. 

I could'nt find the component libpcap in the list above, and manual
insertion ("Component Text") was not accepted


2. <what I originally wanted to inform you>

in file 

	/usr/include/pcap/pcap.h

the line 

	#include <net/bpf.h>

should be

	#include <pcap/net/bpf.h>

Comment 1 Bernhard Rosenkraenzer 2000-07-21 13:02:44 UTC
libpcap is a part of tcpdump (you can find out by typing "rpm -qi libpcap").
Reassigning.

Comment 2 Need Real Name 2000-07-21 13:14:24 UTC
??? 

On my system it looks that way:


$ cat /etc/redhat-release
Red Hat Linux release 6.2 (Zoot)

$ rpm -ql tcpdump
/usr/doc/tcpdump-3.4
/usr/doc/tcpdump-3.4/CHANGES
/usr/doc/tcpdump-3.4/README
/usr/man/man8/tcpdump.8.gz
/usr/sbin/tcpdump

$ rpm -ql libpcap
/usr/doc/libpcap-0.4
/usr/doc/libpcap-0.4/CHANGES
/usr/doc/libpcap-0.4/README
/usr/include/pcap
/usr/include/pcap/net
/usr/include/pcap/net/bpf.h
/usr/include/pcap/pcap-namedb.h
/usr/include/pcap/pcap.h
/usr/lib/libpcap.a
/usr/man/man3/pcap.3.gz

Comment 3 Jeff Johnson 2000-07-22 14:19:51 UTC
Add -I/usr/include/pcap to your compile flags when you
	#include <pcap.h>


Note You need to log in before you can comment on or make changes to this bug.